## calcrogue 0.1-beta6c-0maemo1

=== src/Makefile ===
## Generated file
##
## Be sure to look through Makefile.config to set various tool options
## and settings. You might also want to have a look at include/config.h
##

include make/Makefile.config
include make/Makefile.all

include make/Makefile.comp
