=== debian/changelog ===
calcrogue (0.1-beta6c-0maemo1) unstable; urgency=low

  * Initial release

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 11 Jul 2011 18:02:40 +0200
