=== debian/control ===
Source: calcrogue
Section: user/games
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com> 
Build-Depends: debhelper (>= 5.0.42), libncurses5-dev
Standards-Version: 3.8.1
Homepage: http://calcrogue.jimrandomh.org/

Package: calcrogue
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Roguelike targeted for calculators
