## calcrogue 0.1-beta6c-0maemo2

=== debian/changelog ===
calcrogue (0.1-beta6c-0maemo2) unstable; urgency=low

  * Optified

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 13 Jul 2011 22:55:40 +0200
