=== debian/rules ===
--- 
+++ 
@@ -54,8 +54,9 @@
 	dh_installdirs
 
 
-	#ifolder 
+	#folders
 	install -d ${CURDIR}/debian/calcrogue/opt/calcrogue
+	install -d ${CURDIR}/debian/calcrogue/opt/calcrogue/save
 
 	#files
 	install ${CURDIR}/binLinux/* ${CURDIR}/debian/calcrogue/opt/calcrogue/
